/*
 * @Author: Kane
 * @Date: 2023-03-06 14:20:50
 * @LastEditors: Kane
 * @FilePath: /ts-practice/src/index.ts
 * @Description:
 *
 * Copyright (c) ${2022} by Kane, All Rights Reserved.
 */

// 索引类型
import { getProperty } from "./utils/api/api.js";

interface Circle
{
    radius: number;
    area: number;
}

const circle: Circle =
{
    radius: 100,
    area: 1000,
};

const kind = getProperty(circle, "area");
type kind2 = { [P in keyof Circle]: Circle[P] };

console.log(kind);
console.log(circle.area);
