
import axios from "axios";

const service = axios.create({
    baseURL: "",
    timeout: 10000,
});

service.interceptors.request.use(
    (config) =>
    {
        return config;
    },
    async (error) =>
    {
        return await Promise.reject(error);
    }
);

service.interceptors.response.use(
    (response) =>
    {
        return response;
    },
    async (error) =>
    {
        return await Promise.reject(error);
    }
);
